Summary: IBM Java Software Developer Kit
Name: IBMJava2-SDK
Version: 1.3.1
Release: 11
Epoch: 1
License: Commercial
Group: Development/Languages
URL: http://www.software.ibm.com
Source0: %{name}-131.tgz
Source1: java_sdk.sh.in
Source2: java_sdk.csh.in
Source3: IBMJava2-SDK-duplicates.txt
BuildRoot: %{_tmppath}/%{name}-root
Prereq: sed fileutils
ExclusiveArch: i386
Requires: IBMJava2-JRE = %{epoch}:%{version}
Prefix: /opt

%description
IBM Java Developer Kit for Linux, Java2(TM) Technology Edition v1.3.1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{prefix}
{
    pushd %{buildroot}%{prefix}
    tar xzf %{SOURCE0}
    # the following are duplicates of files in the JRE package
    rm -f `cat %{SOURCE3}`
    popd
}

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/java_sdk.sh
install %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/java_sdk.csh


%post
sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
	%{_sysconfdir}/profile.d/java_sdk.sh > \
	%{_sysconfdir}/profile.d/java_sdk.sh.new
cp %{_sysconfdir}/profile.d/java_sdk.sh.new \
	%{_sysconfdir}/profile.d/java_sdk.sh && \
	rm -f %{_sysconfdir}/profile.d/java_sdk.sh.new

sed -e "s|%%ROOT%%|${RPM_INSTALL_PREFIX}/IBMJava2-131|" \
        %{_sysconfdir}/profile.d/java_sdk.csh > \
        %{_sysconfdir}/profile.d/java_sdk.csh.new
cp %{_sysconfdir}/profile.d/java_sdk.csh.new \
        %{_sysconfdir}/profile.d/java_sdk.csh && \
        rm -f %{_sysconfdir}/profile.d/java_sdk.csh.new


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{prefix}/IBMJava2-131
%attr(755,root,root) %config %verify(not size md5 mtime) %{_sysconfdir}/profile.d/*

%changelog
* Tue Dec 19 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1:1.3.1-11
- Import IBM Java 1.3.1 SR10:
  java version "1.3.1"
  Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1)
  Classic VM (build 1.3.1, J2RE 1.3.1 IBM build cxia32131ifx-20061109 (131SR10 + 110450 + 110188 + 111317) (JIT enabled: jitc))
- Add Epoch to IBMJava2-JRE requirement.
- Resolves: rhbz#216876

* Fri Jan  9 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 1:1.3.1-10
- updated to IBM cxia32131-20031021 SR6 release

* Fri Oct 17 2003 Thomas Fitzsimmons <fitzsim@redhat.com> 1:1.3.1-8
- updated to IBM cxia32131-20030618 SR5 release

* Wed Sep 18 2002 Preston Brown <pbrown@redhat.com> 1.3.1-5
- updated to IBM cxia32131-20020621 internal fix release

* Wed Sep 11 2002 Preston Brown <pbrown@redhat.com> 1.3.1-4
- fix csh script (#62105)

* Mon Apr  1 2002 Preston Brown <pbrown@redhat.com> 
- remove more duplicate files from JRE package

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- added java_sdk.sh and java_sdk.csh so that we can get javac etc. in
  the path
- remove files which conflict with the JRE package

* Thu Mar 21 2002 Preston Brown <pbrown@redhat.com>
- 1.3.1 from IBM

* Thu Feb 21 2002 Preston Brown <pbrown@redhat.com> 1.0
- Initial Red Hat RPM version creation
